summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--.appveyor.yml (renamed from appveyor.yml)2
-rw-r--r--buildtools/appveyor.sh (renamed from appveyor.sh)6
-rw-r--r--buildtools/msys2checkdeps.py (renamed from msys2checkdeps.py)0
-rw-r--r--[-rwxr-xr-x]buildtools/msys2installdeps.sh (renamed from msys2installdeps.sh)0
4 files changed, 4 insertions, 4 deletions
diff --git a/appveyor.yml b/.appveyor.yml
index 3c764c2e3..f394ae44c 100644
--- a/appveyor.yml
+++ b/.appveyor.yml
@@ -9,7 +9,7 @@ environment:
build_script:
- C:\msys64\usr\bin\pacman -Syuu --needed --noconfirm --noprogressbar
- - C:\msys64\usr\bin\bash --login -c "$(cygpath ${APPVEYOR_BUILD_FOLDER})/appveyor.sh"
+ - C:\msys64\usr\bin\bash --login -c "$(cygpath ${APPVEYOR_BUILD_FOLDER})/buildtools/appveyor.sh"
artifacts:
- path: build\inkscape*.7z
diff --git a/appveyor.sh b/buildtools/appveyor.sh
index 62a53f780..62941b2a1 100644
--- a/appveyor.sh
+++ b/buildtools/appveyor.sh
@@ -10,7 +10,7 @@ error() { echo -e "\e[1;31m\nError: ${1}\n\e[0m"; exit 1; }
### setup
# do everything in /build
-cd "$(dirname "$0")"
+cd "$(cygpath ${APPVEYOR_BUILD_FOLDER})"
mkdir build
cd build
@@ -24,7 +24,7 @@ EOF
# install dependencies
message "--- Installing dependencies"
-source ../msys2installdeps.sh
+source ../buildtools/msys2installdeps.sh
pacman -S $MINGW_PACKAGE_PREFIX-{ccache,gtest,ntldd-git} --needed --noconfirm --noprogressbar
ccache --max-size=200M
@@ -52,7 +52,7 @@ appveyor SetVariable -Name APPVEYOR_SAVE_CACHE_ON_ERROR -Value true # build succ
# install
message "--- Installing the project"
ninja install || error "installation failed"
-python ../msys2checkdeps.py check inkscape/ || error "missing libraries in installed project"
+python ../buildtools/msys2checkdeps.py check inkscape/ || error "missing libraries in installed project"
# test
message "--- Running tests"
diff --git a/msys2checkdeps.py b/buildtools/msys2checkdeps.py
index d64d9bcbc..d64d9bcbc 100644
--- a/msys2checkdeps.py
+++ b/buildtools/msys2checkdeps.py
diff --git a/msys2installdeps.sh b/buildtools/msys2installdeps.sh
index e400a9e7b..e400a9e7b 100755..100644
--- a/msys2installdeps.sh
+++ b/buildtools/msys2installdeps.sh